<?php 
session_start();
		include_once('php_conexion.php'); 
		include_once('Class/funciones.php'); 
		include_once('Class/class_pacientes.php');
		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='e'){
		}else{
			header('location:error.php');
		}
// Report all errors except E_NOTICE
error_reporting(E_ALL & ~E_NOTICE);
 ?>
<!DOCTYPE html>
<html lang="es">
<head>
	<meta charset="UTF-8">
	<title>Control de Pacientes</title>
	<link rel="stylesheet" type="text/css" href="bootstrap/css/bootstrap.min.css">
  	<script src="js/jquery.min.js"></script>
  	<script src="bootstrap/js/bootstrap.min.js"></script>
  	<link rel="stylesheet" type="text/css" href="css/labo.css">
  	<link href="css/ionicons.css" rel="stylesheet" type="text/css">
  	<script type="text/javascript">
  		function habilitafecha(){
			if ($('#tipobus').val()=="fecha") {
				$('#bus').attr("type","date");
			}else{
				$('#bus').attr("type","text");
			}
		}
  		function listarinforme(bus,tipobus) {
		    if (bus == "") {
		        document.getElementById("listinforme").innerHTML = "";
		        return;
		    } else { 
		        if (window.XMLHttpRequest) {
		            // code for IE7+, Firefox, Chrome, Opera, Safari
		            xmlhttp = new XMLHttpRequest();
		        } else {
		            // code for IE6, IE5
		            xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
		        }
		        xmlhttp.onreadystatechange = function() {
		            if (this.readyState == 4 && this.status == 200) {
		                document.getElementById("listinforme").innerHTML = this.responseText;
		            }
		        };
		        xmlhttp.open("GET","instancias/listalabcovid.php?bus="+bus+"&tipobus="+tipobus,true);
		        xmlhttp.send();
		    }
		}
		function calcedad(fechanac){
			var hoy=new Date();
			var cumple=new Date(fechanac);
			var edad = hoy.getFullYear() - cumple.getFullYear();
			var m = hoy.getMonth() - cumple.getMonth();
			if (m<0 || (m===0 && hoy.getDate()<cumple.getDate())) {
				edad--;
			}
			return edad;
		}
		function actualizarinfo(id){			
			var datos = {"id" : id};
			
			$.ajax({
				data: datos,
				url: "instancias/buscarlabcovidpac.php",
				type: 'post',
				dataType:"JSON",
				beforeSend: function(){
					
					//$("#rr").html("<img src='loading.gif' />");
				},
				success: function(response){
					
					if(response.succes == 1){
						$('#empresaact').val(response.empresa);
						$('#empresaact').val(response.empresa);
						$('#nombreact').val(response.nombre+" "+response.apepaterno+" "+response.apematerno);
						$('#numdocact').val(response.numdoc);
						$('#edadact').val(response.edad);
						if (response.genero == "m") {
							$('#generoact').val("Masculino");
						}else{
							$('#generoact').val("Femenino");
						}
						$('#fechaact').val(response.fecha);
						$('#idpacienteact').val(response.idpaciente);
						//datos de triaje
						$('#idlaboratoriocovidact').val(response.idlaboratoriocovid);
						if (response.igg == "p") {
							$('#iggact').val("p");
						}else{
							$('#iggact').val("n");
						}
						if (response.igm == "p") {
							$('#igmact').val("p");
						}else{
							$('#igmact').val("n");
						}
						$('#marcaact').val(response.marca);
						$('#industriaact').val(response.industria);
						$('#numloteact').val(response.numlote);
						$('#fechavenact').val(response.fechaven);

						$('#actualizar').modal();
					}else{
						$('#empresaact').val(response.empresa);
						$('#nombreact').val(response.nombre+" "+response.apepaterno+" "+response.apematerno);
						$('#numdocact').val(response.numdoc);

						$('#edadact').val(calcedad(response.fechanac));
						if (response.genero == "m") {
							$('#generoact').val("Masculino");
						}else{
							$('#generoact').val("Femenino");
						}
						$('#fechaact').val(response.fecha);
						$('#idpacienteact').val(response.idpaciente);

						$('#actualizar').modal();
					}
				},
				error: function(){
					alert("ERROR DE CONEXION CON EL SERVIDOR, CONSULTE CON EL ADMINISTRADOR");
				},
				complete : function(xhr, status) {
			    }
			});
		}
		function pamedia1(pasistolica, padiastolica){
			diastolica=parseInt(padiastolica);
			sistolica=parseInt(pasistolica);

			if (sistolica=="" || diastolica=="") {
				$('#pamediaact').val("");
				$('#hallazgopamediaact').val("");
				return;
			}else{
				datopamedia=(2*diastolica+sistolica)/3;
				$('#pamediaact').val(datopamedia.toFixed(2));
				if (sistolica<=120 && diastolica<=80) {
					$('#hallazgopamediaact').val("Ideal");
				}else if((sistolica>120 || sistolica<180) && (diastolica<80 || diastolica<110)){
					$('#hallazgopamediaact').val("Lectura elevada de la presión arterial");
				}
				if(sistolica>=180){
					alert("PA Sistolica fuera de rango");
					$('#pasistolicaact').val("");
					$('#pamediaact').val("");
					$('#hallazgopamediaact').val("");
				}
				if (diastolica>=110) {
					alert("PA Diastolica fuera de rango");
					$('#padiastolica').val("o");
					$('#pamediaact').val("");
					$('#hallazgopamediaact').val("");	
				}
				return;
			}
		}
		function calculaimc(pesotxt, tallatxt){
			dattalla=parseInt(tallatxt);
			datpeso=parseInt(pesotxt);
			//alert(datpeso+" "+dattalla);
			if (dattalla=="" || datpeso=="") {
				$('#imcact').val("");
				$('#hallazgoimcact').val("");
				return;
			}else{
				datoimc=datpeso/((dattalla/100)*(dattalla/100));
				$('#imcact').val(datoimc.toFixed(2));
				if (datoimc<18.5) {
					$('#hallazgoimcact').val("Bajo Peso");
				}else if(datoimc>=18.5 && datoimc<25){
					$('#hallazgoimcact').val("Peso Ideal");
				}else if(datoimc>=25 && datoimc<30){
					$('#hallazgoimcact').val("Sobrepeso");
				}else if(datoimc>=30 && datoimc<35){
					$('#hallazgoimcact').val("Obesidad I");
				}else if(datoimc>=35 && datoimc<40){
					$('#hallazgoimcact').val("Obesidad II");
				}else if(datoimc>=40 && datoimc<50){
					$('#hallazgoimcact').val("Obesidad III");
				}else if(datoimc>=50){
					$('#hallazgoimcact').val("Obesidad IV");
				}
				return;
			}
		}
		function calculaicc(cinturatxt, caderatxt){
			datcadera=parseInt(caderatxt);
			datcintura=parseInt(cinturatxt);
			//alert(datcintura+" "+datcadera);
			if (datcadera=="" || datcintura=="") {
				$('#iccact').val("");
				$('#hallazgoiccact').val("");
				return;
			}else{
				datoicc=datcintura/datcadera;
				$('#iccact').val(datoicc.toFixed(2));
				if ($('#generoact').val()=="Masculino") {
					if(datoicc<0.78){
						$('#hallazgoiccact').val("Bajo");
					}else if(datoicc>=0.78 && datoicc<=0.94){
						$('#hallazgoiccact').val("Normal");
					}else if(datoicc>0.94){
						$('#hallazgoiccact').val("Alto");
					}
				}else{
					if(datoicc<0.71){
						$('#hallazgoiccact').val("Bajo");
					}else if(datoicc>=0.71 && datoicc<=0.85){
						$('#hallazgoiccact').val("Normal");
					}else if(datoicc>0.85){
						$('#hallazgoiccact').val("Alto");
					}
				}
				return;
			}
		}
		$(document).ready(function() {
			if (window.XMLHttpRequest) {
	            // code for IE7+, Firefox, Chrome, Opera, Safari
	            xmlhttp = new XMLHttpRequest();
	        } else {
	            // code for IE6, IE5
	            xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	        }
	        xmlhttp.onreadystatechange = function() {
	            if (this.readyState == 4 && this.status == 200) {
	                document.getElementById("listinforme").innerHTML = this.responseText;
	            }
	        };
	        xmlhttp.open("GET","instancias/listalabcovid.php",true);
	        xmlhttp.send();
		});
  	</script>
</head>
<body>
	<div class="modal fade" id="actualizar" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hiden="true">
		<form name="form2" method="post" enctype="multipart/form-data" action="">
		<div class="modal-dialog modal-lg" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title" id="exampleModalLabel">Laboratorio</h5>
					<button type="button" class="close modal-sm" data-dismiss="modal" aria-label="close">
						<span aria-hiden="true">&times;</span>
					</button>
				</div>
				<div class="modal-body">
					<div class="row">
						<div class="col-md-12">
							<h5 class="title">Datos del Paciente</h5>
						</div>
					</div>
							<div class="form-row">
								<div class="form-group col-md-12">
									<label for="empresaact">Empresa</label>
									<input type="text" name="empresa" id="empresaact" class="form-control form-control-sm" disabled>
								</div>
							</div>
							<div class="form-row">
								<div class="form-group col-md-12">
									<label>Nombre</label>
									<input class="form-control form-control-sm" type="text" name="nombre" id="nombreact" disabled>
								</div>
							</div>
							<div class="form-row">
								<div class="form-group col-md-3">
									<label>Num. Doc.</label>
									<input class="form-control form-control-sm" type="text" name="numdoc" id="numdocact" readonly>
								</div>
								<div class="form-group col-md-3">
									<label>Edad</label>
									<input class="form-control form-control-sm" type="number" name="edad" id="edadact" disabled>
								</div>
								<div class="form-group col-md-3">
									<label>Genero</label>
									<input class="form-control form-control-sm" type="text" name="genero" id="generoact" disabled>
								</div>	
								<div class="form-group col-md-3">
									<label>Fecha</label>
									<input class="form-control form-control-sm" type="date" name="fecha" id="fechaact" readonly>
								</div>				
							</div>
					
					<hr class="my-2">
					<div class="row">
						<div class="col-md-12">
							<h5 class="title">Resultados Prueba Raida Covid-19</h5>
						</div>
					</div>
						<div class="form-group row">
							<input type="hidden" name="idpaciente" id="idpacienteact">
							<input type="hidden" name="idlaboratoriocovid" id="idlaboratoriocovidact">
							<label class="col-md-6 col-form-label">ANTICUERPOS IgG-SARS-CoV-2</label>
							<div class="col-md-6">
								<select class="form-control form-control-sm" name="igg" id="iggact">
									<option value="p">REACTIVO</option>
									<option value="n" selected="">NO REACTIVO</option>
								</select>
							</div>
						</div>
						<div class="form-group row">
							<label class="col-md-6 col-form-label">ANTICUERPOS IgM-SARS-CoV-2</label>
							<div class="col-md-6">
								<select class="form-control form-control-sm" name="igm" id="igmact">
									<option value="p">REACTIVO</option>
									<option value="n" selected="">NO REACTIVO</option>
								</select>
							</div>
						</div>
					<hr class="my-2">
					<div class="row">
						<div class="col-md-12">
							<h5 class="title">Datos adicionales de la prueba IgM / IgG:</h5>
						</div>
					</div>
					<div class="form-group row">
						<label class="col-md-6 col-form-label">Marca de la prueba:</label>
						<div class="col-md-6">
							<input class="form-control form-control-sm" type="text" name="marca" id="marcaact">
						</div>
					</div>
					<div class="form-group row">
						<label class="col-md-6 col-form-label">Industria de la prueba:</label>
						<div class="col-md-6">
							<input class="form-control form-control-sm" type="text" name="industria" id="industriaact">
						</div>
					</div>
					<div class="form-group row">
						<label class="col-md-6 col-form-label">N° de lote:</label>
						<div class="col-md-6">
							<input class="form-control form-control-sm" type="text" name="numlote" id="numloteact">
						</div>
					</div>
					<div class="form-group row">
						<label class="col-md-6 col-form-label">Fecha de vencimiento:</label>
						<div class="col-md-6">
							<input class="form-control form-control-sm" type="date" name="fechaven" id="fechavenact" value="<?php echo date('Y-m-d'); ?>">
						</div>
					</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
        			<button type="submit" class="btn btn-primary">Guardar</button>
				</div>
			</div>			
		</div>
	</div>
		</form>
	</div> 
	<div class="container-fluid">
		<div class="row justify-content-around">
			<div class="col-sm-12">
				<div class="card border-primary">
					<h5 class="card-header">LABORATORIO</h5>
					<div class="card-body">
						<div class="row justify-content-between">
							<div class="col-md-4">
								
							</div>
							<div class="col-md-8">
								<form action="">
								  <div class="form-group">
								    <div class="input-group input-group-sm mb-3">
										<div class="input-group-prepend">
											<label class="input-group-text" for="inputGroupSelect01">Buscar por: </label>
										</div>
										<select name="tipobus" id="tipobus" class="custom-select form-control-sm" onchange="habilitafecha();return false;">
											<option value="numdoc">DNI</option>
											<option value="nombre">Nombre</option>
											<option value="apepaterno">Apellido paterno</option>
											<option value="apematerno">Apellido materno</option>
											<option value="fecha">Fecha de registro</option>
										</select>
										<input type="text" class="form-control form-control-sm" aria-label="Recipient's username" aria-describedby="basic-addon2" id="bus" placeholder="Escribir valor de busqueda">
										<div class="input-group-append">
									    <button class="btn btn-outline-secondary btn-sm" type="submit" onclick="listarinforme($('#bus').val(),$('#tipobus').val());return false;"><span class='ion-android-search'></span> Buscar</button>
									  </div>
									</div>
								  </div>
								</form>
							</div>
						</div>
						<div class="row">
							<?php 
								if(!empty($_POST['idpaciente']) and !empty($_POST['igg'])){
									$idpaciente=limpiar($conexion, $_POST['idpaciente']);
									$igg=limpiar($conexion, $_POST['igg']);
									$igm=limpiar($conexion, $_POST['igm']);
									$marca=limpiar($conexion, $_POST['marca']);
									$industria=limpiar($conexion, $_POST['industria']);
									$numlote=limpiar($conexion, $_POST['numlote']);
									$fechaven=limpiar($conexion, $_POST['fechaven']);
									echo "<script type='text/javascript'>alert('ingreso datos');</script>";

									if(empty($_POST['idlaboratoriocovid'])){

										$c_covid = new Proceso_covid('',$igg,$igm,$idpaciente,$marca,$industria,$numlote,$fechaven);
										$c_covid->crear($conexion);
										
										echo '<div class="col-sm">	
												<div class="alert alert-success alert-sm" role="alert">Registrado con Exito en la Base de Datos
													<button type="button" class="close" data-dismiss="alert" aria-label="Close">
														<span aria-hidden="true">&times;</span>
													</button>
												</div>
											</div>';
												
									}elseif(!empty($_POST['idlaboratoriocovid'])){
										$idlaboratoriocovid=$_POST['idlaboratoriocovid'];
										$a_covid = new Proceso_covid($idlaboratoriocovid,$igg,$igm,$idpaciente,$marca,$industria,$numlote,$fechaven);
										$a_covid->actualizar($conexion);
																
										echo '<div class="col-sm">	
												<div class="alert alert-success alert-sm" role="alert">Actualizado con Exito en la Base de Datos
													<button type="button" class="close" data-dismiss="alert" aria-label="Close">
														<span aria-hidden="true">&times;</span>
													</button>
												</div>
											</div>';
									}
								}
							?>
							<!--<div class="col-sm">
								<div class="alert alert-success alert-sm" role="alert">
								  This is a primary alert with <a href="#" class="alert-link">an example link</a>. Give it a click if you like.
								  <button type="button" class="close" data-dismiss="alert" aria-label="Close">
								    <span aria-hidden="true">&times;</span>
								  </button>
								</div>
							</div>-->
						</div>
					</div>
				</div>
			</div>
		</div>
		<hr class="my-2">
		<div class="row">
			<div class="col-md-12" id="listinforme">
				
			</div>
		</div>
	</div>	
</body>
</html>